#!/usr/local/bin/perl -w

use strict;
use File::Copy;

my $GMX_SRC="/usr/local/src/gromacs-3.3.1";
my $GMX_INS="/usr/local/gromacs";
my ($line,$regexp);

print "Enter the location of the gromacs source library:\n\t($GMX_SRC)";
my $stdin=<STDIN>;
unless ($stdin=~/^\s+$/) {
  chomp($stdin);  
  $GMX_SRC=$stdin;
}

print "Enter the location of the gromacs installation dir :\n\t($GMX_INS)";
$stdin=<STDIN>;
unless ($stdin=~/^\s+$/) {
  chomp($stdin);  
  $GMX_INS=$stdin;
}


open (GMX_MKFILE,"<$GMX_SRC/Makefile")||die "Error: cannot read Gromacs Makefile: $!\n";
close (GMX_MKFILE);
open (MAKEFILE,">Makefile")||die "Error: cannot write Makefile: $!\n";
print MAKEFILE "GMX_SRC = $GMX_SRC\n" ;
print MAKEFILE 'LIBTOOL = $(SHELL) $(GMX_SRC)/libtool'."\n";

my $cflags= `grep ^CFLAGS $GMX_SRC/Makefile`;
print MAKEFILE $cflags;
print MAKEFILE 'CC  = gcc $(CFLAGS)',"\n"; 
print MAKEFILE "do_multiprot_DEPENDENCIES = libgmxana.la libmd.la libgmx.la\n";
print MAKEFILE 'INCLUDES = -I/$(GMX_SRC)/include',"\n";
print MAKEFILE 'LIBRARIES = -L$(GMXLDLIB)',"\n";
my $grepthis= '^"LIBS "';
my $libs = `grep $grepthis $GMX_SRC/Makefile`;
print MAKEFILE $libs;
print MAKEFILE "do_multiprot_OBJECTS = do_multiprot.o\n";
print MAKEFILE 'LINK = $(CC) -o do_multiprot',"\n";
print MAKEFILE 'LDADD = $(GMXLDLIB)/libgmxana.a $(GMXLDLIB)/libmd.a $(GMXLDLIB)/libgmx.a',"\n";
print MAKEFILE "\n";
print MAKEFILE "all: do_multiprot\n\n";
print MAKEFILE 'do_multiprot: $(do_multiprot_OBJECTS)',"\n";
print MAKEFILE "\t",'$(LINK) $(LIBS) $(LIBRARIES) $(do_multiprot_OBJECTS) $(LDADD)',"\n\n";
print MAKEFILE "do_multiprot.o:\n";
print MAKEFILE "\t",'$(CC) $(INCLUDES) do_multiprot.c -o do_multiprot.o -c',"\n\n";
print MAKEFILE "clean:\n";
print MAKEFILE "\t",'rm *.o',"\n";
print MAKEFILE "\t",'rm do_multiprot',"\n";

`make clean`;
`make`;
